Activity log for bug #1223633

Date Who What changed Old value New value Message
2013-09-11 02:22:46 Kees Cook bug added bug
2013-09-11 02:23:10 Kees Cook nominated for series Ubuntu Precise
2013-09-11 02:23:10 Kees Cook bug task added sendmail (Ubuntu Precise)
2013-09-11 02:23:10 Kees Cook nominated for series Ubuntu Saucy
2013-09-11 02:23:10 Kees Cook bug task added sendmail (Ubuntu Saucy)
2013-09-11 02:24:48 Kees Cook attachment added conf.c-ipv6.patch https://bugs.launchpad.net/ubuntu/+source/sendmail/+bug/1223633/+attachment/3814273/+files/conf.c-ipv6.patch
2013-09-11 03:12:55 Launchpad Janitor branch linked lp:ubuntu/saucy-proposed/sendmail
2013-09-11 04:10:59 Launchpad Janitor sendmail (Ubuntu Saucy): status New Fix Released
2013-09-19 21:00:20 Brian Murray bug added subscriber Brian Murray
2013-09-19 21:26:10 Kees Cook description When sendmail is configured with both IPv4 and IPv6 interfaces, it can fail to deliver to any hosts that have a CNAME as an MX record that resolves only to an A record with no AAAA record. An existing example of this is here: http://serverfault.com/questions/482035/sendmail-issue-with-ipv6 When sendmail is configured with both IPv4 and IPv6 interfaces, it can fail to deliver to any hosts that have a CNAME as an MX record that resolves only to an A record with no AAAA record. An existing example of this is here: http://serverfault.com/questions/482035/sendmail-issue-with-ipv6 IMPACT: if ipv6 is routable, sendmail suddenly cannot deliver email to a subset of servers with slightly misconfigured MX records. TEST CASE: - bring up routable ipv6 interface - install and configure sendmail-bin - Run "date | sendmail -v -Am -d61.14 -d16.14 nosuchuser@petermillergallery.com" - observe failure "makeconnection: cannot bind [IPv6:nnnnn....]: Address family not supported by protocol" REGRESSION POTENTIAL: low. This is an upstream patch backported specifically for this version of sendmail. Proper operation is trivially verifiable.
2013-09-19 21:59:59 Brian Murray sendmail (Ubuntu Precise): status New Fix Committed
2013-09-19 22:00:02 Brian Murray bug added subscriber Ubuntu Stable Release Updates Team
2013-09-19 22:00:04 Brian Murray bug added subscriber SRU Verification
2013-09-19 22:00:07 Brian Murray tags verification-needed
2013-09-19 22:20:49 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/sendmail
2013-11-23 18:57:28 Kees Cook tags verification-needed verification-done
2013-11-25 19:17:55 Launchpad Janitor sendmail (Ubuntu Precise): status Fix Committed Fix Released
2013-11-25 19:18:03 Brian Murray removed subscriber Ubuntu Stable Release Updates Team
2014-02-16 04:34:38 Launchpad Janitor branch linked lp:debian/sendmail